/* This software was developed within the context of the project Metaphor for Science
	Museums (Mesmuses) in the framework of the Information Society Technology
	Programme, part of the Fifth Research And Technological Development
	Framework Programme of the European Community, under the Consortium
	Agreement dated <June 30, 2001>, between INRIA, Finsiel Spa, IMSS,
	Valoris , CSI, ICS-FORTH, ENSTB, EDW International.
*/

package gr.forth.ics.vrp.vrpgui;

import javax.swing.*;
import java.awt.event.*;

/**
 * VRP GUI
 *
 * @author Karsten Tolle & Sofia Alexaki
 * @version 2.5  (30 Januar 2003)
 */
public class VRPGUI extends JFrame{

   public  VRPGUI(String s) {
	   super(s);
		getContentPane().add(new JScrollPane(new VRPPanel(this)));

      pack();        //Resizes the window to its natural size.
      setVisible(true);

	   this.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            System.exit(0);
        }
        });
   }

   public static void main(String[] args){
	   JFrame f = new VRPGUI("ICS-FORTH VRP 2.5");
	}
}


